#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 37. LXDE Desktop

- Prev

  libfm-extra-1.3.2

- Next

  libfm-1.3.2

- Up
- Home

# menu-cache-1.1.0

## Introduction to Menu Cache

The Menu Cache package contains a library for creating and utilizing caches to speed up the manipulation for freedesktop.org defined application menus.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://downloads.sourceforge.net/lxde/menu-cache-1.1.0.tar.xz

- Download MD5 sum: 99999a0bca48b980105208760c8fd893

- Download size: 260 KB

- Estimated disk space required: 3.7 MB

- Estimated build time: less than 0.1 SBU

### Additional Downloads

- Required patch: https://www.linuxfromscratch.org/patches/blfs/11.1/menu-cache-1.1.0-consolidated_fixes-1.patch

### Menu Cache Dependencies

#### Required

libfm-extra-1.3.2

#### Optional

GTK-Doc-1.33.2 and xdg-utils-1.1.3

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/menu-cache

## Installation of Menu Cache

First fix a memory leak and “multiple definitions” issues:

    patch -Np1 -i ../menu-cache-1.1.0-consolidated_fixes-1.patch

Install Menu Cache by running the following commands:

    ./configure --prefix=/usr    \
                --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this option if GTK-Doc is installed and you wish to build and install the API documentation.

## Contents

Installed Programs: None
Installed Library: libmenu-cache.so
Installed Directories: /usr/{include,libexec,share/gtk-doc/html}/menu-cache

### Short Descriptions

`libmenu-cache.so` | contains the menu-cache API functions

Last updated on

- Prev

  libfm-extra-1.3.2

- Next

  libfm-1.3.2

- Up
- Home